Home

# Class goog.ui.equation.EquationEditor

User interface for equation editor plugin.

extends goog.ui.Component

Instance Method Summary
| `createDom()` Creates the initial DOM representation for the component. The default implementation is to set this.element_ = div.
| `createDom_()` Creates main editor contents.
| `decorateInternal(?Element element)` Actually decorates the element. Should be overridden by inheriting objects. This method can assume there are checks to ensure the component has not already been rendered have occurred and that enter document will be called afterwards. This method is considered protected.
| `disposeInternal()` Disposes of the component. Calls {@code exitDocument}, which is expected to remove event handlers and clean up the component. Propagates the call to the component's children, if any. Removes the component's DOM from the document unless it was decorated.
| `getEquation() ⇒ string` Returns the encoded equation.
| `getHtml() ⇒ string`
| `handleTabSelect_(?goog.events.Event e)` Handles a tab selection by the user.
| `isValid() ⇒ boolean` Checks whether the current equation is valid and can be used in a document.
| `setEquation(string equation)` Parse an equation and draw it. Clears any previous displayed equation.
| `setVisible(boolean visible)` Sets the visibility of the editor.
| `setVisibleTab_(number tabIndex)` Sets the tab at the selected index as visible and all the rest as not visible.